Skip to main content
GET
/
activity
/
workspace
/
users
/
{userId}
/
activity
Get a user's activity
curl --request GET \
  --url https://api.readmin.app/activity/workspace/users/{userId}/activity \
  --header 'loader-id: <api-key>'
{
  "success": true,
  "summary": {
    "_id": "<string>",
    "userId": "<string>",
    "groupId": "<string>",
    "distribution": "<string>",
    "sessions": [
      "<string>"
    ],
    "minutes": {
      "total": 123,
      "active": 123,
      "inactive": 123,
      "typing": 123,
      "messages": 123
    },
    "goals": {},
    "created": "2023-11-07T05:31:56Z",
    "attendedSessions": [
      "<string>"
    ],
    "updated": "2023-11-07T05:31:56Z"
  },
  "sessions": [
    {
      "_id": "<string>",
      "groupId": 123,
      "userId": 123,
      "gameId": 123,
      "placeId": 123,
      "internalGameId": "<string>",
      "platform": "<string>",
      "staff": true,
      "inGame": true,
      "distribution": 123,
      "minutes": {
        "total": 123,
        "active": 123,
        "inactive": 123,
        "typing": 123,
        "messages": 123
      },
      "started": "2023-11-07T05:31:56Z",
      "ended": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

loader-id
string
header
required

Path Parameters

userId
string
required

Query Parameters

limit
integer

Max recent sessions to return (default 20, max 50)

Response

Successful operation

success
boolean
summary
object
sessions
object[]